// Inputs
@description('ContainerApp Name')
param containerAppName string

@description('ContainerRegistry Name')
param containerRegistryName string 

@description('ContainerRegistry Credentials')
@secure()
param containerRegistryCredentials object 


// LogAnalyticsWorkspace
module logAnalyticsWorkspace 'modules/logAnalyticsWorkspace.bicep' =  {
  name: 'logAnalyticsWorkspace'
  params: {
    
  }
}

// ContainerAppsEnvironment
module containerAppsEnvironment 'modules/containerAppsEnvironment.bicep' =  {
  name: 'containerAppsEnvironment'
  params: {
    logAnalyticsWorkspaceName: logAnalyticsWorkspace.outputs.name
  }
}

// ContainerApp
module containerApp 'modules/containerApp.bicep' =  {
  name: 'containerApp'
  params: {
    containerAppName: containerAppName
    containerAppsEnvironmentName: containerAppsEnvironment.outputs.name
    containerRegistryName: containerRegistryName
    containerRegistryCredentials: containerRegistryCredentials 
  }
}